package com.ama.core.architecture.util.state

import android.view.View
import androidx.core.view.isVisible
import com.ama.core.architecture.R
import com.gamedog.vididin.core.designsystem.stateview.state.interfaces.StateEmptyView


class DefaultStateEmptyView : ConstraintLayoutMergeStateBaseView(), StateEmptyView {

    private val emptyGroup by lazy { root!!.findViewById<View>(R.id.state_empty_group) }

    override fun getResId() = R.layout.view_state_empty

    override fun setVisible(isVisible: Boolean) {
        emptyGroup.isVisible = isVisible
    }
}